Skip to main content
GET
/
partners
/
applications
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use Dub;

$sdk = Dub\Dub::builder()
    ->setSecurity(
        'DUB_API_KEY'
    )
    ->build();



$response = $sdk->partnerApplications->list(
    country: 'US',
    groupId: 'grp_123',
    page: 1,
    pageSize: 50

);

if ($response->responseBodies !== null) {
    // handle response
}
[
  {
    "id": "<string>",
    "createdAt": "<string>",
    "partner": {
      "id": "<string>",
      "name": "<string>",
      "companyName": "<string>",
      "email": "<string>",
      "image": "<string>",
      "country": "<string>",
      "description": "<string>",
      "groupId": "<string>",
      "website": "<string>",
      "youtube": "<string>",
      "twitter": "<string>",
      "linkedin": "<string>",
      "instagram": "<string>",
      "tiktok": "<string>"
    },
    "applicationFormData": [
      {
        "label": "<string>",
        "value": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

country
string

A filter on the list based on the partner's country field.

Example:

"US"

groupId
string

A filter on the list based on the partner's groupId field.

Example:

"grp_123"

page
number

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

The list of pending partner applications.

id
string
required
createdAt
string
required
partner
object
required
applicationFormData
object[] | null
required